# mark's fonts

a collection of fonts that are licenced under the Open Font Licence

meaning you can use them for personal _and commercial use_
(i'd recommend still crediting the authors though)

**except for**

- `sources/JohnnyGLTFont.zip` by
  u/JohnnyDZ0707 [(link)](https://old.reddit.com/r/GirlsLastTour/comments/e5wprz/i_made_a_font_link_in_comments_english_numbers/)

## instructions

steps to extract everything from the zip files:

> [!NOTE]  
> **a tip for Windows users:** when extracting, you can select all the zip files via
> clicking on `Type` to sort by type, then selecting all the zip files

1. get the fonts

   > [!WARNING]  
   > do NOT download a zip archive of the repository, as it will not contain the fonts
   > due to a bug with [forgejo/gitea and git lfs](https://github.com/go-gitea/gitea/issues/4773)

   run the following command to clone the repository:

   ```text
   git clone https://forge.joshwel.co/mark/fonts
   ```

   for Windows users or non-terminal users:
    - right-click a directory where you want to save the fonts
    - right-click, and click on `Open in Terminal`
    - then, type out '`git clone https://forge.joshwel.co/mark/fonts`' (without the single quotes btw) within the black
      box
    - press enter to run it

   if you don't have git installed, you can download it from [here](https://git-scm.com/downloads)

2. extract every `sources/*.zip` to `sources/ext/*`

   for windows: select everything in sources, right-click, `Extract files...` (7-zip)

   modify the path to add a `ext/` after `sources/`

   ![instructions](extract-7zip-example.png)

3. run `python extract.py`

   this will extract all the fonts to `files/`

   for Windows users or non-terminal users:
    - right-click in the newly created `fonts` folder
    - right-click, and click on `Open in Terminal`
    - then, type out '`python extract.py`' (without the single quotes btw) within the black box
    - press enter to run it

   ![example](extract-terminal-example.png)

   if you get an error, you might need to install python from [here](https://www.python.org/downloads/)

4. install the fonts in `files/`

    - **for windows**  
      select all the fonts, right-click, `Install` or `Install for all users`

    - **for mac**  
      copy the fonts to `~/Library/Fonts/`

    - **for Plan9 or 9front**  
      copy the fonts to `/lib/font/bit/` after converting them with <https://git.sr.ht/~ft/ttfs>

    - **for bsds**  
      copy the fonts to `~/.fonts/` or `/usr/local/share/fonts/`

    - **for linux**  
      copy the fonts to `~/.local/share/fonts/`, `/usr/share/fonts/`, or `/usr/local/share/fonts/`

   for *nix systems, you can also use a font manager if you prefer
